AA-CHROOT(1)

NAME
aa-chroot - Execute command within given chroot jail

SYNOPSIS
aa-chroot [-D] NEWROOT COMMAND [ARG...]

OPTIONS

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-h, --help
    Show help screen and exit.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-chroot(1) sets the root filesytem for the current process to NEWROOT, which must exists, goes into this directory, chroots into it and chdir into the (new) root ("/"). It then executes into COMMAND (searched under the new root) with the given ARG (if any).

Note that aa-chroot(1)'s parent process if unaffected by the change.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>